/*
 *	stepview.h
 *
 *	The Step-by-Step View holds many views of which only one can be
 *	visible at a given time. It can be used to implement wizards.
 *
 *	(C) Copyright 1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef _OPaC_STEPVIEW_H_
#define	_OPaC_STEPVIEW_H_

#include <OPaC/multiview.h>

/****************************************************************/

/*
 *	Tab view class : this implements a pile of cardboards,
 *	stacked to form a "tabbed view".
 */

class OP_PUBLIC OPStepView : public OPMultiView
{
	
protected:
	
protected:
	OPStepView ();
	virtual ~ OPStepView ();
	
	virtual void StoreInstance (OPStorageIn storage);	/* OVERRIDDEN */
	virtual void RestoreInstance (OPStorageIn storage);	/* OVERRIDDEN */
	
public:
	OP_DEFINE_CLASS (OPStepView, OPMultiView);
};

/****************************************************************/

#endif /* _OPaC_STEPVIEW_H_ */

